Bug 847865 - contradiction of eap and jdg plugins
contradiction of eap and jdg plugins
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.5
i386 Linux
high Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On: 835696 846385
Blocks: 846400 as7-plugin 844659 852891
  Show dependency treegraph
 
Reported: 2012-08-13 16:29 EDT by Heiko W. Rupp
Modified: 2013-09-03 11:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 846385
Environment:
Last Closed: 2013-09-03 11:17:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-08-13 16:29:59 EDT
+++ This bug was initially created as a clone of Bug #846385 +++

Description of problem:
When both jdg and eap plugins are installed, eap server is started and inventoried, there are some problems with the eap plugin functionality - it is not possible to create infinispan cache resources, it is not possible to edit infinispan resources, 

Version-Release number of selected component (if applicable):
JON 3.1.1 ER1

How reproducible:
always

Steps to Reproduce:
1.Install jon with both jdg and eap plugins 
2. start eap server
3. start jon
4. inventory eap server
5. try to edit add infinispan cache resources
  
Actual results:
it is not possible to edit, add infinispan cache resources

Expected results:
it is possible to add / edit infinispan cache resources

Additional info:

--- Additional comment from snegrea@redhat.com on 2012-08-09 11:56:05 EDT ---

The JDG plugin uses the same subsystem discovery class as the AS7 plugin. The Cache resource is present in the two plugins (basically it's the same subsystem to be discovered) and is discoverable by both plugins.  In this case it just happens that the resource gets discovered through JDG version of the Cache descriptor. 

The same problem would occur if a JDG server is inventoried. Two resources attempting to discover the same subsystem. The result is somewhat unpredictable.


A patch would need to fix both cases:
1) The AS7 Cache resource should be discovered/activated only for EAP6 resources but not for JDG resources.
2) The JDG Cache resource should be discovered/activated only for JDG resources but not EAP6 resources.

Fixes need to be added to both plugins and in this case they need to be very specific to testing for JDG vs EAP6 parent resources.

--- Additional comment from hrupp@redhat.com on 2012-08-10 12:51:37 EDT ---

Ok, so we see both Infinispan types in the subsystem discovery.
So "only the check is wrong"
Comment 1 Heiko W. Rupp 2012-08-13 17:28:48 EDT
master 83c2b30289f
Comment 2 Heiko W. Rupp 2012-08-14 10:37:19 EDT
release branch 7dd49dfa00e
Comment 3 John Sanda 2012-08-22 01:49:19 EDT
Moving to ON_QA. The JON 3.1.1 ER3 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=230321.
Comment 4 Armine Hovsepyan 2012-08-23 10:40:09 EDT
based on #835696 putting back to ON_DEV, no other case was reproducible.
Comment 5 Heiko W. Rupp 2012-08-27 16:54:30 EDT
Armine,

can you please start over with "an empty server" (clean install) and check this?
I've added more information in https://bugzilla.redhat.com/show_bug.cgi?id=846385#c6 on expected behavior.

I can't see how editing a HornetQ resource may have an influence on this.
Comment 6 Armine Hovsepyan 2012-08-27 18:21:56 EDT
Hi Heiko.

Reproduced with clean environment (old jon server/agent were removed, new ones were installed, db was dropped and re-created). 
Should you need to reproduce, please use my env. 10.34.31.223:7080. For ssh login/password please ping me in private chat.
Comment 7 Heiko W. Rupp 2012-08-28 10:23:49 EDT
This looks perfectly ok to me on your box.
Comment 8 Armine Hovsepyan 2012-08-28 13:01:23 EDT
verified (for hibernate resources)
Comment 9 Heiko W. Rupp 2013-09-03 11:17:00 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.